Framework Related
=================

Pruner
------

.. autoclass:: nni.algorithms.compression.v2.pytorch.base.Pruner
    :members:

PrunerModuleWrapper
-------------------

.. autoclass:: nni.algorithms.compression.v2.pytorch.base.PrunerModuleWrapper

BasicPruner
-----------

.. autoclass:: nni.algorithms.compression.v2.pytorch.pruning.basic_pruner.BasicPruner
    :members:

DataCollector
-------------

.. autoclass:: nni.algorithms.compression.v2.pytorch.pruning.tools.DataCollector
    :members:

MetricsCalculator
-----------------

.. autoclass:: nni.algorithms.compression.v2.pytorch.pruning.tools.MetricsCalculator
    :members:

SparsityAllocator
-----------------

.. autoclass:: nni.algorithms.compression.v2.pytorch.pruning.tools.SparsityAllocator
    :members:

BasePruningScheduler
--------------------

.. autoclass:: nni.algorithms.compression.v2.pytorch.base.BasePruningScheduler
    :members:

TaskGenerator
-------------

.. autoclass:: nni.algorithms.compression.v2.pytorch.pruning.tools.TaskGenerator
    :members:

Quantizer
---------

.. autoclass:: nni.compression.pytorch.compressor.Quantizer
    :members:

QuantizerModuleWrapper
----------------------

.. autoclass:: nni.compression.pytorch.compressor.QuantizerModuleWrapper
    :members:

QuantGrad
---------

.. autoclass:: nni.compression.pytorch.compressor.QuantGrad
    :members:
